Bug 75536 - updfastab should have option to not allow users to mount removable media
Summary: updfastab should have option to not allow users to mount removable media
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-09 17:34 UTC by Jack Neely
Modified: 2014-03-17 02:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 19:11:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for updfstab.c to add noownermount option (2.81 KB, patch)
2002-10-09 17:35 UTC, Jack Neely
no flags Details | Diff

Description Jack Neely 2002-10-09 17:34:57 UTC
Description of Problem:
updfstab discovers removable media and always uses the "owner" option in
/etc/fstab so that locally logged in users have permission to mount these
devices.  In some situations (like labs) this may not be desired as people would
mount their media, forget about it, log out, and not be able to retrieve the media.

Included is a patch to address this issue.  It adds a new option to
updfstab.conf "noownermount" when set to "true" does not use the "owner" option
in /etc/fstab.

Version-Release number of selected component (if applicable):
kudzu-0.99.69

Comment 1 Jack Neely 2002-10-09 17:35:45 UTC
Created attachment 79665 [details]
patch for updfstab.c to add noownermount option

Comment 2 Bill Nottingham 2005-09-22 20:50:15 UTC
In Fedora Core 3 and later, handling of mounting of devices is done via the
'hal' component. As such, changes to updfstab are very unlikely to be made in
the future (in fact, it is no longer shipped in the kudzu tarball.)


Note You need to log in before you can comment on or make changes to this bug.